Show / Hide Table of Contents

# Struct AgentInventoryContext

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Agent

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AgentInventoryContext

### Fields

| Improve this Doc View Source

#### AgentInterface

##### Declaration

    public AgentInterface AgentInterface

##### Field Value

Type | Description
--- | ---
AgentInterface |

| Improve this Doc View Source

#### BlockedInventoryId

##### Declaration

    public InventoryType BlockedInventoryId

##### Field Value

Type | Description
--- | ---
InventoryType |

| Improve this Doc View Source

#### BlockedInventorySlotId

##### Declaration

    public int BlockedInventorySlotId

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### BlockingAddonId

##### Declaration

    public uint BlockingAddonId

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### ContexItemStartIndex

##### Declaration

    public int ContexItemStartIndex

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### ContextItemCount

##### Declaration

    public int ContextItemCount

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### ContextItemDisabledMask

##### Declaration

    public uint ContextItemDisabledMask

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### ContextItemSubmenuMask

##### Declaration

    public uint ContextItemSubmenuMask

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### DiscardDummyItem

##### Declaration

    public InventoryItem DiscardDummyItem

##### Field Value

Type | Description
--- | ---
InventoryItem |

| Improve this Doc View Source

#### DummyInventoryId

##### Declaration

    public uint DummyInventoryId

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### EventIdArray

##### Declaration

    public byte *EventIdArray

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### EventParams

##### Declaration

    public byte *EventParams

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### OwnerAddonId

##### Declaration

    public uint OwnerAddonId

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### PositionX

##### Declaration

    public int PositionX

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### PositionY

##### Declaration

    public int PositionY

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### TargetDummyItem

##### Declaration

    public InventoryItem TargetDummyItem

##### Field Value

Type | Description
--- | ---
InventoryItem |

| Improve this Doc View Source

#### TargetInventoryId

##### Declaration

    public InventoryType TargetInventoryId

##### Field Value

Type | Description
--- | ---
InventoryType |

| Improve this Doc View Source

#### TargetInventorySlot

##### Declaration

    public InventoryItem*TargetInventorySlot

##### Field Value

Type | Description
--- | ---
InventoryItem* |

| Improve this Doc View Source

#### TargetInventorySlotId

##### Declaration

    public int TargetInventorySlotId

##### Field Value

Type | Description
--- | ---
System.Int32 |

### Properties

| Improve this Doc View Source

#### EventIdSpan

##### Declaration

    public readonly Span<byte> EventIdSpan { get; }

##### Property Value

Type | Description
--- | ---
Span<System.Byte> |

| Improve this Doc View Source

#### EventParamsSpan

##### Declaration

    public readonly Span<AtkValue> EventParamsSpan { get; }

##### Property Value

Type | Description
--- | ---
Span<AtkValue> |

### Methods

| Improve this Doc View Source

#### Instance()

##### Declaration

    public static AgentInventoryContext*Instance()

##### Returns

Type | Description
--- | ---
AgentInventoryContext* |

| Improve this Doc View Source

#### IsContextItemDisabled(Int32)

##### Declaration

    public bool IsContextItemDisabled(int index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### OpenForItemSlot(InventoryType, Int32, UInt32)

##### Declaration

    public void OpenForItemSlot(InventoryType inventory, int slot, uint addonId)

##### Parameters

Type | Name | Description
--- | --- | ---
InventoryType | inventory |
System.Int32 | slot |
System.UInt32 | addonId |

| Improve this Doc View Source

#### OpenForItemSlot(UInt32, Int32, Int32, UInt32)

##### Declaration

    public void OpenForItemSlot(uint inventory, int slot, int a4, uint addonId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | inventory |
System.Int32 | slot |
System.Int32 | a4 |
System.UInt32 | addonId |

| Improve this Doc View Source

#### UseItem(UInt32, UInt32, UInt32, Int16)

##### Declaration

    public long UseItem(uint itemId, uint inventoryType = 9999U, uint itemSlot = 0U, short a5 = 0)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | itemId |
System.UInt32 | inventoryType |
System.UInt32 | itemSlot |
System.Int16 | a5 |

##### Returns

Type | Description
--- | ---
System.Int64 |